<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link       https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package    WordPress
 * @subpackage Martian
 * @since      1.0
 * @version    1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="site" class="site">

	<header id="masthead" class="dt-header">
		<div class="container-fluid">
			<?php martian_logo(); ?>

			<div id="nav-toggle" class="nav-toggle">
				<div class="toggle-inner">
					<span></span>
					<span></span>
					<span></span>
					<span></span>
				</div>
			</div><!-- /.nav-toggle -->

			<?php
			if ( has_nav_menu( 'main' ) ) {
				wp_nav_menu( array(
					'theme_location'  => 'main',
					'depth'           => 3,
					'container_id'    => 'martian-main-menu',
					'container_class' => 'martian-main-menu'
				) );
			}
			?>

		</div><!-- /.container-fluid -->
	</header><!-- #masthead -->
	<?php get_template_part( 'template-parts/header/page-header' ); ?>

	<div class="site-content-contain">
		<div id="content" class="site-content">