<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link       https://codex.wordpress.org/Template_Hierarchy
 *
 * @package    WordPress
 * @subpackage Martian
 * @since      1.0
 * @version    1.0
 */

get_header();
if ( martian_is_vc_content() ) : ?>
	<div id="visual-composer-content" class="wrap">

		<?php
		while ( have_posts() ) {
			the_post();
			the_content();
		}
		?>

	</div><!-- .wrap -->
<?php else : ?>

	<div class="wrap inner-pages-container">
		<div class="container">
			<div class="row">
				<div id="primary" class="content-area col-md-9">
					<main id="main" class="site-main" role="main">

						<?php
						while ( have_posts() ) : the_post();

							get_template_part( 'template-parts/page/content', 'page' );

							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;

						endwhile; // End of the loop.
						?>

					</main><!-- #main -->
				</div><!-- #primary -->

				<div class="col-md-3">
					<?php get_sidebar(); ?>
				</div><!-- /.col-md-3 -->
			</div><!-- /.row -->
		</div><!-- /.container -->
	</div><!-- .wrap -->

	<?php
endif;
get_footer();
