<?php
/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @see        http://tgmpluginactivation.com/configuration/ for detailed documentation.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1 for parent theme Martian
 * @author     Thomas Griffin, Gary Jones, Juliette Reinders Folmer
 * @copyright  Copyright (c) 2011, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/TGMPA/TGM-Plugin-Activation
 */

/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_parent_theme_file_path( '/tgmpa/class-tgm-plugin-activation.php' );

add_action( 'tgmpa_register', 'martian_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 */
function martian_register_required_plugins() {

	$plugins = array(

		array(
			'name'     => esc_html__( 'Martian Essentials', 'martian' ),
			'slug'     => 'martian-ess',
			'source'   => get_parent_theme_file_path( '/tgmpa/plugins/martian-ess.zip' ),
			'required' => true,
			'version'  => '1.0.0',
		),

		array(
			'name'     => esc_html__( 'Visual Composer', 'martian' ),
			'slug'     => 'js_composer',
			'source'   => get_parent_theme_file_path( '/tgmpa/plugins/js_composer.zip' ),
			'required' => true,
			'version'  => '5.1.1',
		),
		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'required' => true,
		),

	);

	/*
	 * Configuration settings.
	 */
	$config = array(
		'id'           => 'martian',
		'default_path' => '',
		'menu'         => 'martian-install-plugins',
		'parent_slug'  => 'themes.php',
		'capability'   => 'edit_theme_options',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => '',
		'is_automatic' => false,
		'message'      => '',
	);

	tgmpa( $plugins, $config );
}
